Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001193KdenliveUser Interfacepublic2009-10-09 12:012010-02-20 08:16
Reportergrof 
Assigned Toj-b-m 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSFedora LinuxOS Version11.0
Product Version0.7.6 
Target VersionFixed in Version0.7.7 
Summary0001193: Crash when starting DVD Wizard
DescriptionI can not start DVD Wizard.

Segmentation fault with this bugtracking:

Application: Kdenlive (kdenlive), signal: Segmentation fault
[KCrash Handler]
0000006 0x07469a37 in ?? () from /usr/lib/libSDL-1.2.so.0
0000007 0x0746a1ec in ?? () from /usr/lib/libSDL-1.2.so.0
0000008 0x07454184 in SDL_SetVideoMode () from /usr/lib/libSDL-1.2.so.0
0000009 0x00def0bd in consumer_start (parent=0xbf308e0) at consumer_sdl_still.c:190
0000010 0x00f43cc7 in mlt_consumer_start (this=0xbf308e0) at mlt_consumer.c:420
0000011 0x00dee61e in consumer_start (parent=0x9f32290) at consumer_sdl_preview.c:210
0000012 0x00f43cc7 in mlt_consumer_start (this=0x9f32290) at mlt_consumer.c:420
0000013 0x00675325 in Mlt::Consumer::start (this=0xc41e460) at MltConsumer.cpp:109
0000014 0x080c9bac in Render::start (this=0xc41e3a8) at /usr/src/debug/kdenlive-0.7.6/src/renderer.cpp:1182
0000015 0x08283718 in DvdWizardChapters::setVobFiles (this=0xc19c0d8, isPal=true, isWide=false, movies=
          {<QList<QString>> = {{p = {static shared_null = {ref = {_q_value = 25757}, alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}}, d = 0xc45b290}, d = 0xc45b290}}, <No data fields>},
    durations=
          {<QList<QString>> = {{p = {static shared_null = {ref = {_q_value = 25757}, alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}}, d = 0xa05e1f0}, d = 0xa05e1f0}}, <No data fields>},
    chapters=
          {<QList<QString>> = {{p = {static shared_null = {ref = {_q_value = 25757}, alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}}, d = 0xc457948}, d = 0xc457948}}, <No data fields>})
    at /usr/src/debug/kdenlive-0.7.6/src/dvdwizardchapters.cpp:154
0000016 0x0826ac2c in DvdWizard::slotPageChanged (this=0xbfbf6b78, page=1) at /usr/src/debug/kdenlive-0.7.6/src/dvdwizard.cpp:142
0000017 0x0807740c in DvdWizard::qt_metacall (this=0xbfbf6b78, _c=QMetaObject::InvokeMetaMethod, _id=44, _a=0xbfbf49b8) at /usr/src/debug/kdenlive-0.7.6/src/cmake_bindir/moc_dvdwizard.cpp:84
0000018 0x03077853 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/libQtCore.so.4
0000019 0x030784b2 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
0000020 0x03d7edb3 in QWizard::currentIdChanged(int) () from /usr/lib/libQtGui.so.4
0000021 0x03d85072 in ?? () from /usr/lib/libQtGui.so.4
0000022 0x03d8545e in QWizard::next() () from /usr/lib/libQtGui.so.4
0000023 0x03d86b33 in QWizard::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libQtGui.so.4
0000024 0x080773af in DvdWizard::qt_metacall (this=0xbfbf6b78, _c=QMetaObject::InvokeMetaMethod, _id=40, _a=0xbfbf4bf8) at /usr/src/debug/kdenlive-0.7.6/src/cmake_bindir/moc_dvdwizard.cpp:79
0000025 0x03077853 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/libQtCore.so.4
0000026 0x03077cc8 in QMetaObject::activate(QObject*, QMetaObject const*, int, int, void**) () from /usr/lib/libQtCore.so.4
0000027 0x03edde41 in QAbstractButton::clicked(bool) () from /usr/lib/libQtGui.so.4
0000028 0x03c06229 in ?? () from /usr/lib/libQtGui.so.4
0000029 0x03c07e64 in ?? () from /usr/lib/libQtGui.so.4
0000030 0x03c08101 in QAbstractButton::mouseReleaseEvent(QMouseEvent*) () from /usr/lib/libQtGui.so.4
0000031 0x038a7b9a in QWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4
0000032 0x03c060ce in QAbstractButton::event(QEvent*) () from /usr/lib/libQtGui.so.4
0000033 0x03cb04dd in QPushButton::event(QEvent*) () from /usr/lib/libQtGui.so.4
0000034 0x03852974 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
0000035 0x0385aa9b in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
0000036 0x042a060a in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
0000037 0x03061b0b in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
0000038 0x038599de in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&) () from /usr/lib/libQtGui.so.4
0000039 0x038c8090 in ?? () from /usr/lib/libQtGui.so.4
0000040 0x038c7523 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/libQtGui.so.4
0000041 0x038f25d2 in ?? () from /usr/lib/libQtGui.so.4
0000042 0x02e79308 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
0000043 0x02e7c9e0 in ?? () from /lib/libglib-2.0.so.0
0000044 0x02e7cb13 in g_main_context_iteration () from /lib/libglib-2.0.so.0
0000045 0x0308c5ec in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
0000046 0x038f1cb5 in ?? () from /usr/lib/libQtGui.so.4
0000047 0x030600d9 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
0000048 0x0306052a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
0000049 0x03d3dbc3 in QDialog::exec() () from /usr/lib/libQtGui.so.4
0000050 0x0807c44c in MainWindow::slotDvdWizard (this=0x996bec0, url=@0xbfbf6c5c, profile=@0xbfbf6c58) at /usr/src/debug/kdenlive-0.7.6/src/mainwindow.cpp:2702
0000051 0x0809ccc3 in MainWindow::qt_metacall (this=0x996bec0, _c=QMetaObject::InvokeMetaMethod, _id=99, _a=0xbfbf6da8) at /usr/src/debug/kdenlive-0.7.6/src/cmake_bindir/mainwindow.moc:376
0000052 0x03077853 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/libQtCore.so.4
0000053 0x03077cc8 in QMetaObject::activate(QObject*, QMetaObject const*, int, int, void**) () from /usr/lib/libQtCore.so.4
0000054 0x0384c331 in QAction::triggered(bool) () from /usr/lib/libQtGui.so.4
0000055 0x0384d8c6 in QAction::activate(QAction::ActionEvent) () from /usr/lib/libQtGui.so.4
0000056 0x03c9983c in ?? () from /usr/lib/libQtGui.so.4
0000057 0x03c9fe8b in ?? () from /usr/lib/libQtGui.so.4
#58 0x03ca0a4f in QMenu::mouseReleaseEvent(QMouseEvent*) () from /usr/lib/libQtGui.so.4
0000059 0x0438a8e5 in KMenu::mouseReleaseEvent(QMouseEvent*) () from /usr/lib/libkdeui.so.5
0000060 0x038a7b9a in QWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4
0000061 0x03ca2ca4 in QMenu::event(QEvent*) () from /usr/lib/libQtGui.so.4
0000062 0x03852974 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
0000063 0x0385aa9b in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
0000064 0x042a060a in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
0000065 0x03061b0b in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
0000066 0x038599de in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&) () from /usr/lib/libQtGui.so.4
0000067 0x038c854f in ?? () from /usr/lib/libQtGui.so.4
0000068 0x038c7523 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/libQtGui.so.4
0000069 0x038f25d2 in ?? () from /usr/lib/libQtGui.so.4
0000070 0x02e79308 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
0000071 0x02e7c9e0 in ?? () from /lib/libglib-2.0.so.0
0000072 0x02e7cb13 in g_main_context_iteration () from /lib/libglib-2.0.so.0
0000073 0x0308c5ec in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
0000074 0x038f1cb5 in ?? () from /usr/lib/libQtGui.so.4
0000075 0x030600d9 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
0000076 0x0306052a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
0000077 0x030629af in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
0000078 0x038527f7 in QApplication::exec() () from /usr/lib/libQtGui.so.4
0000079 0x0807c19d in main (argc=5, argv=0xbfbf90e4) at /usr/src/debug/kdenlive-0.7.6/src/main.cpp:86
Steps To ReproduceJust start DVD Wizard

After select files to be on DVD and click Next button, crash happened.
TagsNo tags attached.
Build/Install MethodDistribution package
Attached Files

- Relationships

-  Notes
(0004104)
j-b-m (administrator)
2009-10-10 13:48

I didn't do much tests, but the issue should be solved in svn commit 4032
(0004106)
grof (reporter)
2009-10-10 18:31

Yes, after this patch DVDWizard works nicely!

I'll apply this patch into Fedora's package.

Thanks.
(0004129)
rejogc (reporter)
2009-10-12 06:42

I am having this same problem. Can this patch be easily applied?

Thanks and regards.
(0004130)
grof (reporter)
2009-10-12 08:15

Yes,

the Patch is here:

http://kdenlive.svn.sourceforge.net/viewvc/kdenlive/trunk/kdenlive/src/dvdwizardchapters.cpp?view=patch&r1=4032&r2=4031&pathrev=4032 [^]

Just apply, and recompile Kdenlive ;)

(or, if you are Fedora User, wait for packages in RPM Fusion)

- Issue History
Date Modified Username Field Change
2009-10-09 12:01 grof New Issue
2009-10-09 12:01 grof Build/Install Method => Distribution package
2009-10-10 10:31 j-b-m Assigned To => j-b-m
2009-10-10 10:31 j-b-m Status new => acknowledged
2009-10-10 10:32 j-b-m Severity minor => crash
2009-10-10 13:48 j-b-m Note Added: 0004104
2009-10-10 13:48 j-b-m Status acknowledged => feedback
2009-10-10 18:31 grof Note Added: 0004106
2009-10-12 06:42 rejogc Note Added: 0004129
2009-10-12 08:15 grof Note Added: 0004130
2010-02-02 11:10 j-b-m Status feedback => resolved
2010-02-02 11:10 j-b-m Fixed in Version => 0.7.7
2010-02-02 11:10 j-b-m Resolution open => fixed
2010-02-20 08:16 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker